| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoICC.icc4c.ICC4cChannel Class Reference
Inheritance diagram for optoICC.icc4c.ICC4cChannel:

## Public Member Functions
def | __init__ (self, board, int channel_number=0, device_platform=DevicePlatform.ALL)
def | GetControlMode (self)
def | SetControlMode (self, ICCUnitType or str control_mode)

## Public Attributes
| StaticInput
| Based on device_platform ALL/LENS => ICCStaticInput XPR/ADARA => StaticInput.
| LensCompensation
| Only available for device_platform = ALL || LENS => LensCompensation.
| Analog
| => ICCAnalogInput
| SignalGenerator
| => SignalGenerator
| DeviceEEPROM
| => DeviceEEPROM
| VectorPatternUnit
| => VectorPatternUnit
| TemperatureManager
| => ICCDeviceTemperatureManager
| OutputConditioningFilter
| => OutputConditioningFilter
| SensorLinearization
| Only available for device_platform = ALL => LinearizationStage.
| PID
| Only available for device_platform = ALL => OFPID.
| QuadrantVectorPatternUnit
| Only available for device_platform = ALL => QuadrantVectorPatternUnit.
| FeedForwardVectorPatternUnit
| Only available for device_platform = ALL => VectorPatternUnit (sys_id_base=0x88)

## Protected Attributes
| _control_mode

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.icc4c.ICC4cChannel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = `0`,
|  |  | device_platform = `DevicePlatform.ALL`
| ) |  |

## Member Function Documentation

## ◆ GetControlMode()

def optoICC.icc4c.ICC4cChannel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------

    Raises
    ------
    none

    Returns
    -----
    UnitType
    Control mode options set by register_tables.UnitType

## ◆ SetControlMode()

def optoICC.icc4c.ICC4cChannel.SetControlMode | ( |  | self,
|  | ICCUnitType or str | control_mode
| ) |  |

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
    Mode to set must be in register_tables.UnitType or appropriate string format given by
    UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
    Firmware response or error information

## Member Data Documentation

## ◆ _control_mode

optoICC.icc4c.ICC4cChannel._control_mode
| protected

## ◆ Analog

optoICC.icc4c.ICC4cChannel.Analog

=> ICCAnalogInput

## ◆ DeviceEEPROM

optoICC.icc4c.ICC4cChannel.DeviceEEPROM

=> DeviceEEPROM

## ◆ FeedForwardVectorPatternUnit

optoICC.icc4c.ICC4cChannel.FeedForwardVectorPatternUnit

Only available for device_platform = ALL
=> VectorPatternUnit (sys_id_base=0x88)

## ◆ LensCompensation

optoICC.icc4c.ICC4cChannel.LensCompensation

Only available for device_platform = ALL || LENS
=> LensCompensation.

## ◆ OutputConditioningFilter

optoICC.icc4c.ICC4cChannel.OutputConditioningFilter

=> OutputConditioningFilter

## ◆ PID

optoICC.icc4c.ICC4cChannel.PID

Only available for device_platform = ALL
=> OFPID.

## ◆ QuadrantVectorPatternUnit

optoICC.icc4c.ICC4cChannel.QuadrantVectorPatternUnit

Only available for device_platform = ALL
=> QuadrantVectorPatternUnit.

## ◆ SensorLinearization

optoICC.icc4c.ICC4cChannel.SensorLinearization

Only available for device_platform = ALL
=> LinearizationStage.

## ◆ SignalGenerator

optoICC.icc4c.ICC4cChannel.SignalGenerator

=> SignalGenerator

## ◆ StaticInput

optoICC.icc4c.ICC4cChannel.StaticInput

Based on device_platform
ALL/LENS => ICCStaticInput
XPR/ADARA => StaticInput.

## ◆ TemperatureManager

optoICC.icc4c.ICC4cChannel.TemperatureManager

=> ICCDeviceTemperatureManager

## ◆ VectorPatternUnit

optoICC.icc4c.ICC4cChannel.VectorPatternUnit

=> VectorPatternUnit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/icc4c.py